/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
package org.ow2.petals.communication.network.data;

import org.ow2.petals.kernel.configuration.ContainerConfiguration;
import org.ow2.petals.kernel.configuration.DomainConfiguration;
import org.ow2.petals.kernel.configuration.SubDomainConfiguration;

/**
 * The Join request network data.
 * 
 * @author rnaudin - EBM Websourcing
 * @since PEtALS 2.0
 * 
 */
public final class JoinRequestData extends NetworkData {

    private ContainerConfiguration containerConfiguration;

    private SubDomainConfiguration subDomainConfiguration;

    private DomainConfiguration domainConfiguration;

    /**
     * The serial UID
     */
    private static final long serialVersionUID = 3934329744599978786L;

    public JoinRequestData(final ContainerConfiguration containerConfiguration,
            final SubDomainConfiguration subDomainConfiguration,
            final DomainConfiguration domainConfiguration) {

        super(MessageType.joinRequest);

        this.containerConfiguration = containerConfiguration;
        this.subDomainConfiguration = subDomainConfiguration;
        this.domainConfiguration = domainConfiguration;
    }

    public ContainerConfiguration getContainerConfiguration() {
        return this.containerConfiguration;
    }

    public SubDomainConfiguration getSubDomainConfiguration() {
        return this.subDomainConfiguration;
    }

    public DomainConfiguration getDomainConfiguration() {
        return this.domainConfiguration;
    }

}
