/**
 * PETALS - PETALS Services Platform. Copyright (c) 2008 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.jbi.messaging.routing.module;

/**
 * Interface used to manage the modules through JMX
 * 
 * Created on 7 mai 2008
 * 
 * @author Christophe HAMERLING - eBM WebSourcing
 * @since 2.2
 * 
 */
public interface RouterModuleManagerMBean {
    /**
     * Add a new module. The class needs to be
     * 
     * @param className
     */
    String addModule(String className);

    /**
     * 
     * @param moduleName
     */
    String initModule(String moduleName) throws Exception;

    /**
     * 
     * @param moduleName
     */
    String startModule(String moduleName) throws Exception;

    /**
     * 
     * @param moduleName
     */
    String stopModule(String moduleName) throws Exception;

    /**
     * 
     * @param state
     * @return
     */
    String[] getModules(String state);
}
